QGIS Application - Bug report #8914
Merge features does not work
2013-10-18 07:42 PM - George Rodrigues da Cunha Silva

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.0.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17590
Description

Hello everyone,

Environment:

Qgis 2.0
Postgis 2.0

- PostgreSQL 9.1
Ubuntu 13.04

Scenario:

| have a LineString table in PostGIS, and when | try to merge together two features in a edit session, everything works fine (the merge
attributes dialog appears just fine).

When | click "ok" to confirm the merge both features disappear. | have tried to look at the messages panel, but there's nothing meaningful.
If you save the edits you end up losing both features.

| also made sure that all attributes (mandatory) were properly filled and the junction of both linestrings remained a linestring (that is, the
collection did not became a multi-linestring).

History

#1 - 2013-10-19 02:53 AM - Giovanni Manghi
- Target version changed from Version 2.0.0 to Future Release - High Priority
- Status changed from Open to Feedback

| cannot confirm it here. Can you post sample data (sgl dump) and exact steps on how replicate?

#2 - 2013-10-28 04:36 AM - George Rodrigues da Cunha Silva

Hello Giovanni,

I'll try to post a sample today. Sorry for the delay.

#3 - 2013-11-04 12:07 PM - George Rodrigues da Cunha Silva
- Status changed from Feedback to Closed

Hello Giovanni,

I've checked this twice and found to be a problem with the project configuration. Without any other configurations (field configurations to be more precise)

the merge works.

I'll close this and I'll investigate the problem with the field config.

Thanks
